#
# Makefile for the linux kernel.
#

# Common support
obj-y := irq.o id.o io.o sdrc.o control.o prcm.o clock.o mux.o \
		devices.o serial.o gpmc.o timer-gp.o powerdomain.o \
		clockdomain.o sram34xx.o clock34xx.o


obj-$(CONFIG_OMAP_MCBSP) += mcbsp.o


# Power Management
ifeq ($(CONFIG_PM),y)
obj-y							+= pm.o
obj-$(CONFIG_ARCH_OMAP3)		+= pm34xx.o sleep34xx.o
obj-$(CONFIG_PM_DEBUG)			+= pm-debug.o
endif

# SmartReflex driver
obj-$(CONFIG_OMAP_SMARTREFLEX)		+= smartreflex.o

# DSP
obj-$(CONFIG_OMAP_MMU_FWK)	+= mmu_mach.o
obj-$(CONFIG_OMAP_MBOX_FWK)	+= mailbox_mach.o
mailbox_mach-objs		:= mailbox.o
mmu_mach-objs			:= mmu.o

# Specific board support
obj-$(CONFIG_MACH_OMAP3_OSWALD)		+= board-omap3oswald.o \
						mmc-oswald.o
						
obj-m					+= readmem.o
obj-m					+= writemem.o


